﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GiftVoucherViewer.ascx.cs" Inherits="Core.Web.Admin.Controls.Viewer.GiftVoucherViewer" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Constants" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>

<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductAttributesViewer.ascx" TagPrefix="uc" TagName="ProductAttributes" %>
<%@ Register Src="~/Admin/Controls/Binding/Products/ProductCategoriesViewer.ascx" TagPrefix="uc" TagName="ProductCategories" %>
<%@ Register Src="~/Admin/Controls/Binding/ProductKits/ProductKitCategoriesViewer.ascx" TagPrefix="uc" TagName="ProductKitCategories" %>
<%@ Register Src="~/Admin/Controls/ProductImages.ascx" TagPrefix="uc" TagName="ProductImages" %>
<%@ Register Src="~/Admin/Controls/ProductImagesList.ascx" TagPrefix="uc" TagName="ProductImagesList" %>
<%@ Register Src="~/Admin/Controls/ProductFilesList.ascx" TagPrefix="uc" TagName="ProductFilesList" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.KitDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Product.Title" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ReferenceFieldView" InputToDisplayID="ReferenceLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ReferenceLabel" runat="server" Template-PropertyName="Product.Reference" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="PriceLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="PriceLabel" runat="server" Template-PropertyName="Product.Price" FormatAsMoney="true"/>
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="IncludeVATLabel" runat="server" Template-PropertyName="Product.IncludeVAT" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="SummaryFieldView" InputToDisplayID="SummaryLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="SummaryLabel" runat="server" Template-PropertyName="Product.Summary" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:WysiwygLabel ID="DescriptionLabel" runat="server" Template-PropertyName="Product.Description" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AverageRatingFieldView" InputToDisplayID="AverageRatingLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AverageRatingLabel" runat="server" Template-PropertyName="Product.AverageRating" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="ProductCategoriesLabel" Text="Categories:" />
                      </td>
                      <td class="control-value">
                        <uc:ProductCategories ID="ProductCategories" runat="server" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="EnabledField" runat="server" Template-PropertyName="Enabled" />
                      </td>
                    </tr>                    
                    <% if (IsFeaturedEnabled) { %>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="FeaturedLabel" runat="server" Template-PropertyName="Product.Featured" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="BooleanLabel1" runat="server" Template-PropertyName="Product.SpecialOffer" />
                      </td>
                    </tr>                    
                    <% } %>                    
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
        
        <fieldset>
          <Control:CollapsableBox runat="server" ID="MetaDataCollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductMetaData %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaTitleFieldView" InputToDisplayID="MetaTitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaTitleLabel" runat="server" Template-PropertyName="Product.MetaTitle" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaKeywordsFieldView" InputToDisplayID="MetaKeywordsLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaKeywordsLabel" runat="server" Template-PropertyName="Product.MetaKeywords" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="MetaDescriptionFieldView" InputToDisplayID="MetaDescriptionLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="MetaDescriptionLabel" runat="server" Template-PropertyName="Product.MetaDescription" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="BoughtCountFieldView" InputToDisplayID="BoughtCountLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="BoughtCountLabel" runat="server" Template-PropertyName="Product.BoughtCount" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
                
      </td>      
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>