/// <reference path="interface.js" />
/// <reference name "MicrosoftAjax.js" assembly="System.Web.Extensions" />

Type.registerNamespace('Core.Web');

Core.Web.PanelResizer = function() {  
}

Core.Web.PanelResizer.inSizeSetter = false;

Core.Web.PanelResizer.setSize = function () {
  if (Core.Web.PanelResizer.inSizeSetter) {
    return;
  }  
  Core.Web.PanelResizer.inSizeSetter = true;
	if(iFramework.Browser.isIE() && document.documentElement.clientWidth) 
	{
	  bodyElement = document.getElementsByTagName('body')[0];
		bodyStyle = bodyElement.style;
		bodyStyle.width = (document.documentElement.clientWidth < 970) ? '970px' : 'auto';
		resizableColumn = $get('resizeble-column');
		mainColumn = $get('main-column');
		if (resizableColumn && mainColumn) {
		  panelHeight = document.body.clientHeight - 44;
		  tracerTable = $get('tracer-table');
		  if (tracerTable) {
		    panelHeight -= tracerTable.clientHeight;
		  }		  
		  resizableColumn.style.height = panelHeight + 'px';
		  mainColumn.style.height = panelHeight + 'px'
		}		
	}
	Core.Web.PanelResizer.inSizeSetter = false;
}

Core.Web.PanelResizer.init = function() {
	if(iFramework.Browser.isIE()) { 
	  Core.Web.PanelResizer.setSize();
	  onresize = Core.Web.PanelResizer.resizeHandler;
	  //$addHandler(window,"resize",onResize);
	}	  
}

Core.Web.PanelResizer.dispatch = function() {
	if(iFramework.Browser.isIE()) { 
	  onresize = '';
	  //$removeHandler(window,"resize",onResize);
	}	  
}

Core.Web.PanelResizer.resizeHandler = function() {
  Core.Web.PanelResizer.setSize();
}

Core.Web.PanelResizer.hidePanel = function(id)
{
  panel = $get(id);
  if (panel && panel.className != null) {
      if(panel.className.indexOf("hidden-mode")==-1)
      {
          panel.className += " hidden-mode";
      }
      else {
        panel.className = panel.className.replace("hidden-mode" , "")
      }
    }

    //this may happen when the whole script containing TabContainerRegister definition has not been loaded yet.
    //But if it hasn't been laded yet, there can be no tab containers.
    if(iFramework.Controls != null && iFramework.Controls.TabContainerRegister != null)
    {
        iFramework.Controls.TabContainerRegister.getInstance().handleTabContainersSizeChange();
    }
}

Core.Web.PanelResizer.fullHidePanel = function(id)
{
  panel = $get(id);
  if (panel && panel.className != null) {
      if(panel.className.indexOf("full-hidden-mode")==-1)
      {
          panel.className += " full-hidden-mode";
      }
      else {
        panel.className = panel.className.replace("full-hidden-mode" , "")
     }
    }

    //this may happen when the whole script containing TabContainerRegister definition has not been loaded yet.
    //But if it hasn't been laded yet, there can be no tab containers.
    if(iFramework.Controls != null && iFramework.Controls.TabContainerRegister != null)
    {
        iFramework.Controls.TabContainerRegister.getInstance().handleTabContainersSizeChange();
    }
}

Core.Web.PanelResizer.registerClass('Core.Web.PanelResizer');