﻿/// <reference path="Common.js" />
/// <reference name="MicrosoftAjax.js" />

Type.registerNamespace('Core.Web');

Core.Web.ProductType = function() { }

Core.Web.ProductType.prototype = {

  Inventory : 1,

  Digital : 2,

  Kit : 3,

  GiftVoucher : 4,

  Subscription : 5
    
};

Core.Web.ProductType.registerEnum('Core.Web.ProductType');

Core.Web.ProductEditor = function(quantityRegionID, quantityFieldID, constStockLevelCheckBoxID, outOfStockCheckBoxID, stockPeriodDropDownID, productModelTypeDropDownID) {

  this.quantityRegion = $get(quantityRegionID);  
  this.quantityField = $get(quantityFieldID);  
  this.constStockLevelCheckBox = $get(constStockLevelCheckBoxID);   
  this.outOfStockCheckBox = $get(outOfStockCheckBoxID);    
  this.stockPeriodDropDown = $get(stockPeriodDropDownID);   
  this.productModelTypeDropDown = $get(productModelTypeDropDownID);
  this.Init();  
}

Core.Web.ProductEditor.prototype = {

  Init : function() {
    if (this.constStockLevelCheckBox && this.outOfStockCheckBox) {
      this.HandleStockChanges();
      $addHandler(this.constStockLevelCheckBox, 'click', Function.createDelegate(this, this.HandleStockChanges));
      $addHandler(this.outOfStockCheckBox, 'click', Function.createDelegate(this, this.HandleStockChanges));
    }
    if (this.productModelTypeDropDown) {
      this.ChangeSelectedProductModelType();
      $addHandler(this.productModelTypeDropDown, 'change', Function.createDelegate(this, this.ChangeSelectedProductModelType));
    }    
  },
  
  GetSelectedProductModelType : function() {
    if (this.productModelTypeDropDown) {
      return this.productModelTypeDropDown.options[this.productModelTypeDropDown.selectedIndex].value;
    }
    else {
      return null;
    }
  },
  
  HandleStockChanges : function() {
    this.constStockLevelCheckBox.disabled = false;
    this.outOfStockCheckBox.disabled = false;
    this.stockPeriodDropDown.disabled = true;
    this.quantityField.disabled = false;
    if (this.constStockLevelCheckBox.checked) {
      this.outOfStockCheckBox.checked = false;
      this.outOfStockCheckBox.disabled = true;            
      this.stockPeriodDropDown.disabled = true;
    }     
    else {
      if (this.outOfStockCheckBox.checked) {
        this.constStockLevelCheckBox.checked = false;
        this.constStockLevelCheckBox.disabled = true;
        this.stockPeriodDropDown.disabled = false;
        this.quantityField.disabled = true;
      } 
    }
  },
  
  ChangeSelectedProductModelType : function() {
    if (this.GetSelectedProductModelType() == Core.Web.ProductType.Inventory) {
      this.ShowQuantityRegion();
    }
    else {
      this.HideQuantityRegion();
    }
  },
  
  HideQuantityRegion : function() {
    if (this.quantityRegion) {
      $(this.quantityRegion).hide();
    }
  },
    
  ShowQuantityRegion : function() {
    if (this.quantityRegion) {
      $(this.quantityRegion).show();
    }
  }  
};

Core.Web.ProductEditor.registerClass('Core.Web.ProductEditor');
