﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitAsseblyEditor.ascx.cs" Inherits="Core.Web.Controls.ProductKits.ProductKitAsseblyEditor" %>

<%@ Import Namespace="Core.Web"%>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Utility.JSHelpers"%>
<%@ Import Namespace="iFramework.Core.Utilities.JS"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>

<div style="clear:both;height:10px;"></div>

<p><%=UI.Current.CustomizeYourKit%>:</p>

<table class="TableViewA Flexible" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th style="width:50%"><%=UI.Current.KitCategory%></th>
    <th><%=UI.Current.KitItem%></th>    
    <th><%=UI.Current.Price%></th>
    <th></th>
  </tr>
  <tr>
    <td colspan="4"><%=UI.Current.KitItems%></td>
  </tr>  
<%foreach (var kitItem in DisplayedItems) {%>
  <tr>
    <td><label for="<%=SelectID(kitItem)%>"><%= TextUtility.ShrinkText(TextUtility.FormatText(kitItem.Category.Name), 30)%></label></td>
    <td><%=CreateKitItemDropDown(kitItem)%></td>
    <td class="price"><span class="Selected price" id="<%=PriceID(kitItem)%>"><%=UserMoney(kitItem.SubTotal)%></span></td>
    <td>
      <%if (kitItem.SelectedProductKitItem != null) {%>
        <a rel="external" href="<%=UrlBuilder.GetProductDetailsUrl(kitItem.SelectedProductKitItem.Product)%>" id="<%=LinkID(kitItem)%>"><%=UI.Current.Details%></a>
      <%} %>
    </td>
  </tr>    
<% } %>
  <%if (CurrentKit.Price > 0) {%>
  <tr>
    <td colspan="2"><%=UI.Current.AssemblyPrice%></td>
    <td><span class="Selected price"><%=UserMoney(CurrentKit.Price)%></span></td>
    <td></td>
  </tr> 
  <%} %>  
  <tr>
    <td colspan="2"><%=UI.Current.Total%></td>
    <td><span class="Selected total-price"><%=UserMoney(Assembly.Price)%></span></td>
    <td></td>
  </tr>  
</table>

<script type="text/javascript">

  $(function() {
    new $.productKitEditor (
      <%= new JavaScriptBuilder().Append(DisplayedItems, x => new {
                                                        category = x.Category.CategoryID, 
                                                        list = JSHelper.IdSelector(SelectID(x)),
                                                        link = JSHelper.IdSelector(LinkID(x)),
                                                        price = JSHelper.IdSelector(PriceID(x)),
                                                     })%>, 
      '.total-price', 
      {serviceUrl : '<%=UrlBuilder.ProductKitServiceUrl%>'}
    );
  });

</script>